AppBoard2Buttons.c File Reference

Read buttons state from Application Board 2. More...

`#include "AppBoard2Buttons.h"`
Include dependency graph for AppBoard2Buttons.c:

## Functions

static bool | u32AppBoard2ButtonsDebounce (uint32_t u32Value)
| Returns true if buttons are debounced. More...
void | vAppboard2ButtonsInitialize (void)
| Initialization of all buttons of Application Board 2. More...
void | vAppboard2ButtonsUninitialize (void)
| Uninitialization of all buttons of Application Board 2. More...
uint32_t | u32AppBoard2ButtonsGetState (void)
| Returns the pressed Buttons (bit coded see AppBoard2Buttons.h) More...

## Variables

GPIO_ID | axAppBoard2Buttons [APPBOARD2_NUMBER_BUTTONS]

## Detailed Description

Read buttons state from Application Board 2.

Author
  Daniel Fischer (V5.0) - Heinrich Ginter (V1.0)

Version
  V5.0

Date
  20.10.2019

This file includes important button functions for Application Board 2 Debouncing is also included (see static function bool u32AppBoard2ButtonsDebounce(uint32_t u32Value))

## Function Documentation

## u32AppBoard2ButtonsDebounce()

static bool u32AppBoard2ButtonsDebounce | ( | uint32_t | u32Value | ) |

static

Returns true if buttons are debounced.

Author
  Daniel Fischer (V5.0) - Heinrich Ginter (V1.0)

Version
  V5.0

Date
  20.10.2019

Parameters

  uint32_t | Value (Button id)

Returns
  true or false

Change the two hex constants to accommodate different bounce times and timer rates. In this implementation the the hex constants are appropriate for a call by a timer between 15 and 25 msec

Here is the caller graph for this function:

## u32AppBoard2ButtonsGetState()

uint32_t u32AppBoard2ButtonsGetState | ( | void |  | ) |

Returns the pressed Buttons (bit coded see AppBoard2Buttons.h)

Author
  Daniel Fischer (V5.0) - Heinrich Ginter (V1.0)

Version
  V5.0

Date
  20.10.2019

Parameters

  no |

Returns
  uint32_t u32PressedButton

After a pressed button is recognized, the button gets debounced and returned

Here is the call graph for this function:
Here is the caller graph for this function:

## vAppboard2ButtonsInitialize()

void vAppboard2ButtonsInitialize | ( | void |  | ) |

Initialization of all buttons of Application Board 2.

Author
  Daniel Fischer (V5.0) - Heinrich Ginter (V1.0)

Version
  V5.0

Date
  20.10.2019

Parameters

  void |

Returns
  void

Here is the caller graph for this function:

## vAppboard2ButtonsUninitialize()

void vAppboard2ButtonsUninitialize | ( | void |  | ) |

Uninitialization of all buttons of Application Board 2.

Author
  Daniel Fischer (V5.0)

Version
  V5.0

Date
  20.10.2019

Parameters

  void |

Returns
  void

## Variable Documentation

## axAppBoard2Buttons

GPIO_ID axAppBoard2Buttons[APPBOARD2_NUMBER_BUTTONS]

Initial value:
= {{2,12},{0,20},
{0,19},{2,11},
{2,13},{1,21},
{3,25},{3,26}
}